<?php
public function getList($productID, $status = '', $param = 0, $orderBy = 'id_desc', $pager = null)
{
    return $this->loadExtension('devops')->getList($productID, $status, $param, $orderBy, $pager);
}

public function isClickable($deploy, $action)
{
    return $this->loadExtension('devops')->isClickable($deploy, $action);
}

public function submit($deployID)
{
    return $this->loadExtension('devops')->submit($deployID);
}

public function updateFlow($flowID)
{
    return $this->loadExtension('devops')->updateFlow($flowID);
}

public function create($formData)
{
    return $this->loadExtension('devops')->create($formData);
}

public function getResultByUser($reviewID)
{
    return $this->loadExtension('devops')->getResultByUser($reviewID);
}

public function saveResult($reviewID)
{
    return $this->loadExtension('devops')->saveResult($reviewID);
}

public function getByID($deployID)
{
    return $this->loadExtension('devops')->getByID($deployID);
}

public function update($deployID, $formData)
{
    return $this->loadExtension('devops')->update($deployID, $formData);
}

public function deleteInSpug($serverID, $remoteID)
{
    return $this->loadExtension('devops')->deleteInSpug($serverID, $remoteID);
}

public function changeStatus($deployID, $action, $formData)
{
    return $this->loadExtension('devops')->changeStatus($deployID, $action, $formData);
}

public function getPairs($status = '')
{
    return $this->loadExtension('devops')->getPairs($status);
}
